ConfigurationInfo (Java SE 14 & JDK 14)
Description: declaration: module: jdk.management.jfr, package: jdk.management.jfr, class: ConfigurationInfo
Keywords: jdk.management.jfr.ConfigurationInfo class

Module jdk.management.jfr
Package jdk.management.jfr

# Class ConfigurationInfo

java.lang.Object
jdk.management.jfr.ConfigurationInfo

    public final class ConfigurationInfo
    extends Object

Management representation of a `Configuration`.

Since:
  9
See Also:
  `Configuration`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ConfigurationInfo` | `from​(CompositeData cd)` | Returns a `ConfigurationInfo` object represented by the specified `CompositeData`.
  `String` | `getContents()` | Returns the textual representation of the configuration associated with this `ConfigurationInfo`, typically the contents of the configuration file that was used to create the configuration.
  `String` | `getDescription()` | Returns a short sentence that describes the configuration associated with this `ConfigurationInfo` (for example, `"Low overhead configuration safe for continuous use in production environments"`.
  `String` | `getLabel()` | Returns the human-readable name (for example, `"Continuous"` or `"Profiling"`) for the configuration associated with this `ConfigurationInfo`
  `String` | `getName()` | Returns the name of the configuration associated with this `ConfigurationInfo` (for example, `"default"`).
  `String` | `getProvider()` | Returns the provider of the configuration associated with this `ConfigurationInfo` (for example, `"OpenJDK"`).
  `Map<String,​String>` | `getSettings()` | Returns the settings for the configuration associated with this `ConfigurationInfo`.
  `String` | `toString()` | Returns a description of the configuration that is associated with this `ConfigurationInfo`.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getProvider

    public String getProvider()
    Returns the provider of the configuration associated with this `ConfigurationInfo` (for example, `"OpenJDK"`).
    Returns:
      the provider, or `null` if doesn't exist
    See Also:
      `Configuration.getProvider()`

  - ### getContents

    public String getContents()
    Returns the textual representation of the configuration associated with this `ConfigurationInfo`, typically the contents of the configuration file that was used to create the configuration.
    Returns:
      contents, or `null` if doesn't exist
    See Also:
      `Configuration.getContents()`

  - ### getSettings

    public Map<String,​String> getSettings()
    Returns the settings for the configuration associated with this `ConfigurationInfo`.
    Returns:
      a `Map` with settings, not `null`
    See Also:
      `Configuration.getSettings()`

  - ### getLabel

    public String getLabel()
    Returns the human-readable name (for example, `"Continuous"` or `"Profiling"`) for the configuration associated with this `ConfigurationInfo`
    Returns:
      the label, or `null` if doesn't exist
    See Also:
      `Configuration.getLabel()`

  - ### getName

    public String getName()
    Returns the name of the configuration associated with this `ConfigurationInfo` (for example, `"default"`).
    Returns:
      the name, or `null` if doesn't exist
    See Also:
      `Configuration.getLabel()`

  - ### getDescription

    public String getDescription()
    Returns a short sentence that describes the configuration associated with this `ConfigurationInfo` (for example, `"Low overhead configuration safe for continuous use in production environments"`.
    Returns:
      the description, or `null` if doesn't exist

  - ### from

    public static ConfigurationInfo from​(CompositeData cd)
    Returns a `ConfigurationInfo` object represented by the specified `CompositeData`.

    The following table shows the required attributes that the specified `CompositeData` must contain.

    > Required names and types for CompositeData
    > Name | Type
    > --- | ---
    > name | `String`
    > label | `String`
    > description | `String`
    > provider | `String`
    > contents | `String`
    > settings | `javax.management.openmbean.TabularData` with a `TabularType` with the keys `"key"` and `"value"`, both of the `String` type

    Parameters:
      `cd` - `CompositeData` representing a `ConfigurationInfo`
    Returns:
      a `ConfigurationInfo` object represented by `cd` if `cd` is not `null`, `null` otherwise
    Throws:
      `IllegalArgumentException` - if `cd` does not represent a `ConfigurationInfo` with the required attributes

  - ### toString

    public String toString()
    Returns a description of the configuration that is associated with this `ConfigurationInfo`.
    Overrides:
      `toString` in class `Object`
    Returns:
      the description of the configuration, not `null`